CONFIG +=			release \
					warn_on \
					qt \
					thread 

TEMPLATE =			app
DESTDIR =			bin

CONFIG(debug, debug|release) {
	TARGET =		downloadeditord
} else {
	TARGET =		downloadeditor
}

OBJECTS_DIR =		build/obj
MOC_DIR =			build/moc

QT +=				core \
					gui

greaterThan(QT_MAJOR_VERSION, 4): {
QT +=				widgets

}

# DEPENDPATH +=		<relative path>/lib
# INCLUDEPATH +=	<relative path>/src
# LIBS+=			-L<relative path>/lib -l<library name>

SOURCES +=			../core/messagebox.cpp \
				../core/applicationtheme.cpp \
					src/dataeditorwidget.cpp \
					src/dataitemwidget.cpp \
					src/downloadeditor.cpp \
					src/filelinewidget.cpp \
					src/globalkeyevent.cpp \
					src/main.cpp \
					src/sh32data.cpp

HEADERS +=			../core/messagebox.h \
				../core/applicationtheme.h \
					src/dataeditorwidget.h \
					src/dataitemwidget.h \
					src/downloadeditor.h \
					src/filelinewidget.h \
					src/globalkeyevent.h \
					src/sh32data.h

RESOURCES +=		res/downloadeditor.qrc

macx{

ICON =				res/icons.icns
OBJECTIVE_SOURCES += ../core/nspool.mm
HEADERS += 			../core/nspool.mm
LIBS +=				-framework AppKit -framework Cocoa

QMAKE_INFO_PLIST = ../default_data/Info.plist
}

linux-g++{

isEmpty(PREFIX) {
PREFIX = 			/usr/lib/downloadeditor
}
target.path =		$$PREFIX
target.files =		bin/downloadeditor
INSTALLS +=			target

# QMAKE_POST_LINK = patchelf --set-rpath ./qtlibs bin/downloadeditor
}

win32 {
RC_FILE =			res/resource.rc
}
